Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - OpenProxy

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Open Proxy

Open Proxy Specification management for API versions.

Get Open Proxy Specification

Get Open Proxy Specification file for an API version.

Authorizations:
bearerAuth
path Parameters
api
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

versionName
required
string

Responses

Response Schema: application/octet-stream
string <binary>

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Upload Open Proxy Specification

Upload Open Proxy Specification file for an API version, overwriting any existing file for that API version. Returns analysis result with all errors and warnings that were found. On any errors, the file is not actually saved!

Authorizations:
bearerAuth
path Parameters
api
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

versionName
required
string
Request Body schema: multipart/form-data
file
required
string <binary>

Responses

Response Schema: application/json
errors
required
Array of strings

Errors that prevent deployment.

warnings
required
Array of strings

Warnings that may affect deployment.

object (OpenProxyAnalysisAPIInfo)

Extracted API information from the spec.

Response samples

Content type
application/json
{
  • "errors": [
    • "string"
    ],
  • "warnings": [
    • "string"
    ],
  • "apiInfo": {
    • "name": "string",
    • "version": "string",
    • "displayName": "string",
    • "description": "string",
    • "type": "REST"
    }
}

Delete Open Proxy Specification

Delete Open Proxy Specification file for an API version.

Authorizations:
bearerAuth
path Parameters
api
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

versionName
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Generate Open Proxy Specification

Generate an Open Proxy Specification file for an API version from a backend URL and context path, overwriting any existing file for that API version.

Authorizations:
bearerAuth
path Parameters
api
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

versionName
required
string
Request Body schema: application/json
required
backendUrl
required
string

Backend url to deploy API to Gateway

contextPath
required
string

Context path to deploy API to Gateway

Responses

Request samples

Content type
application/json
{
  • "backendUrl": "string",
  • "contextPath": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get Open Proxy Specification info

Get additional info about the Open Proxy Specification file for an API version.

Authorizations:
bearerAuth
path Parameters
api
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

versionName
required
string

Responses

Response Schema: application/json
readOnly
required
boolean

Whether the spec is read-only (e.g. managed via Git).

source
required
string
Enum: "UPLOAD" "GIT" "GENERATE"

How the spec was created: UPLOAD or GIT.

gitCommit
string

Git commit hash of the spec, if sourced from a Git repository.

Response samples

Content type
application/json
{
  • "source": "UPLOAD",
  • "readOnly": true,
  • "gitCommit": "string"
}